Bug 47197 - Installer doesn't understand the DHCP response from DHCPd when booted with PXE
Installer doesn't understand the DHCP response from DHCPd when booted with PXE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Elliot Lee
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-03 18:34 EDT by Thomas Langes
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 12:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Langes 2001-07-03 18:34:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
We're trying to deploy a RedHat 7.1 installation to 50 servers, and 
500                                                       
workstations (different kickstart files, of course). All this should be 
done                                                  
with PXE-boot, the only problem is that RedHat 7.1 doesn't seem to do 
DHCP                                                    
right.                                                                     
                                                   
                                                                           
                                                   
No matter what machine I try, it boots up fine, finding pxelinux.0 (which 
is                                                  
the pxe-loader we're using), also finds configuration, kernel 
and                                                             
initrd.img.  Starts the kernel, loads the initrd.img, and starts 
the                                                          
installation-process... And that's it, because at the very start of 
the                                                       
installation process, RedHat tries to get network info with DHCP 
(we've                                                       
placed the kickstart files on an NFS-exported disk, as putting the 
kickstart                                                  
file inside initrd.img isn't an option), but it complaints of not 
getting                                                     
any replies although I know it does. this is the 
log:                                                                       
  
                                                                           
                                                   
[/var/log/messages  - 
Start]                                                                     
                             
Jul  3 04:43:58 edgar dhcpd: DHCPDISCOVER from 00:b0:d0:f0:89:a9 via 
eth0                                                     
Jul  3 04:43:58 edgar dhcpd: DHCPOFFER on 129.241.56.51 to 
00:b0:d0:f0:89:a9 via eth0                                         
Jul  3 04:43:59 edgar dhcpd: DHCPREQUEST for 129.241.56.51 (129.241.56.75) 
from 00:b0:d0:f0:89:a9 via eth0                    
Jul  3 04:43:59 edgar dhcpd: DHCPACK on 129.241.56.51 to 00:b0:d0:f0:89:a9 
via eth0                                           
Jul  3 04:44:01 edgar dhcpd: DHCPRELEASE of 129.241.56.51 from 
00:b0:d0:f0:89:a9 via eth0 (not found)                         
Jul  3 04:44:01 edgar dhcpd: DHCPREQUEST for 129.241.56.51 (129.241.56.22) 
from 00:b0:d0:f0:89:a9 via eth0                    
Jul  3 04:44:01 edgar dhcpd: DHCPACK on 129.241.56.51 to 00:b0:d0:f0:89:a9 
via eth0                                           
Jul  3 04:45:04 edgardhcpd: DHCPDISCOVER from 00:b0:d0:f0:89:a9 via 
eth0                                                     
Jul  3 04:45:04 edgar dhcpd: DHCPOFFER on 129.241.56.51 to 
00:b0:d0:f0:89:a9 via eth0                                         
Jul  3 04:45:04 edgar dhcpd: DHCPDISCOVER from 00:b0:d0:f0:89:a9 via 
eth0                                                     
Jul  3 04:45:04 edgar dhcpd: DHCPOFFER on 129.241.56.51 to 
00:b0:d0:f0:89:a9 via eth0                                         
[/var/log/messages  - 
End]                                                                       
                             
                                                                           
                                                   
I've been searching various lists, and it seem to be problem several 
people                                                   
have stumbled upon, but no one seem to have found a 
solution.                                                                 
                                                                           
                                                   
As you see from the log above, the RedHat loader never sends a 
DHCPREQUEST                                                    
for an IP, it does, however send two 
DHCPDISCOVER's...                                                     

How reproducible:
Always

Steps to Reproduce:
1. configure pxelinux.0 so that it passes ks=nfs:server:/some/where
2. copy the contents of the bootnet.img over to the TFTPd directory where 
pxelinux.0 is
3. boot your machine with pxe from your NIC, loading pxelinux.0
4. What happens now is that pxelinux loads vmlinuz, with initrd.img (which 
contains the redhat installation program), telling it that kickstart is on 
NFS causes loader to ask for IP info through DHCP.
As you can see from my log, it never do anything with the replies from the 
server.

Actual Results:  Unable to do kickstart-installation

Expected Results:  We need kickstart, DHCP must work when doing 
installation.

Additional info:

It's all in the description; except hardware:

this is a Dell PowerEdge 2550 system with integrated eepro100 NIC capable 
of doing PXE-booting.
Comment 1 Elliot Lee 2001-08-26 16:48:36 EDT
Comments from the installer team or ewt, both of whom are more likely to know
what is going on?

Note You need to log in before you can comment on or make changes to this bug.